<!--
 Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
<section id="main" class="wrapper">
	
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/list.png" width="32px" height="32px" style="vertical-align: middle;"/>
			<span data-bind="text: header"></span></h1>
		</header>
		
		<div class="row">
			<div class="12u$ 12u$(medium)">
				Upload an approved XML from CBN Single Window.<br/>
			</div>
			<div class="6u$ 12u$(medium)">
				<oj-file-picker on-oj-select='[[selectListener]]' style='max-width: 100%;'>
					<div tabindex='0' slot='trigger'
						  class='oj-filepicker-dropzone'>
					   <p class='oj-filepicker-text'><br/>I'm a clickable dropzone<br/>&nbsp;</p>
					</div>
				</oj-file-picker>
				<br/>
				<span id="selectedFile"></span>
				<br/>
				<span id="uploadStatus"></span><br/>
				<a href="#" class="button special fit small" data-bind="click: reviewXMLDocument">Process File Content</a>
			</div>
			
			<div class="12u$ 12u$(medium)">
				<oj-dialog style="display:none; width:80%; height:600px;" id="modalDialog1" 
							modality="modal" dialog-title="Upload HSCode" cancel-behavior='none'>
					<div slot="header">
					   <h5 id="dialogTitleId" class="oj-dialog-title"> XML Records
					   </h5>
					</div>
					<div slot="body">
						<div class="row uniform">
							<div class="12u 12u$(small)">
								<span id="status"></span>
								<oj-accordion id="accordionPage" multiple expanded='[{"id":"hip1"}, {"id":"hip22"}]'>
								  <oj-collapsible id="hip1" expanded>
									<span slot="header">Header</span>
									<p>
									<table class='report-table'>
										<tr>
											<td style='width:50%'><strong>Valid for Forex</strong><br/><span data-bind="text: validForForex"></span></td>
											<td><strong>Year</strong><br/><span data-bind="text: year"></span></td>
										</tr>
										<tr>
											<td><strong>Application Number</strong><br/><span data-bind="text: applicationNumber"></span></td>
											<td><strong>Prefix</strong><br/><span data-bind="text: prefix"></span></td>
										</tr>
										<tr>
											<td><strong>Bank Code</strong><br/><span data-bind="text: bankCode"></span></td>
											<td><strong>Bank Branch</strong><br/><span data-bind="text: bankBranch"></span></td>
										</tr>
										<tr>
											<td colspan="2"><strong>Form M Number</strong><br/><span data-bind="text: formMNumber"></span></td>
										</tr>
									</table></p>
								  </oj-collapsible>
								  <oj-collapsible id="hip2">
									<span slot="header">Applicant</span>
									<p>
									<table class='report-table'>
										<tr>
											<td colspan='2'><oj-label for="txtAccountNo">Account Number</oj-label>
						<oj-input-text placeholder='Applicant Account Number' id="txtAccountNo"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text></td>
										</tr>
										<tr>
											<td nowrap><strong>Applicant Name</strong><br/><span data-bind="text: applicantName"></span></td>
											<td nowrap><strong>Applicant City</strong><br/><span data-bind="text: applicantCity"></span></td>
										</tr>
										<tr>
											<td colspan='2'><strong>Address</strong><br/><span data-bind="text: applicantAddress"></span></td>
										</tr>
										<tr>
											<td><strong>Applicant Phone</strong><br/><span data-bind="text: applicantPhone"></span></td>
											<td nowrap><strong>Applicant Email</strong><br/><span data-bind="text: applicantEmail"></span></td>
										</tr>
										<tr>
											<td><strong>Applicant Fax</strong><br/><span data-bind="text: applicantFax"></span></td>
											<td nowrap><strong>Applicant State</strong><br/><span data-bind="text: applicantState"></span></td>
										</tr>
										<tr>
											<td><strong>Applicant RCN</strong><br/><span data-bind="text: applicantRCN"></span></td>
											<td nowrap><strong>Applicant TIN</strong><br/><span data-bind="text: applicantTaxID"></span></td>
										</tr>
										<tr>
											<td><strong>Applicant NEPC</strong><br/><span data-bind="text: applicantNEPC"></span></td>
											<td nowrap><strong>Applicant Pass.</strong><br/><span data-bind="text: applicantPass"></span></td>
										</tr>
										
									</table>
									</p>
								  </oj-collapsible>
								  <oj-collapsible id="hip3">
									<span slot="header">Beneficiary</span>
									<p>
									<table class='report-table'>
										<tr>
											<td><strong>Beneficiary Name</strong><br/><span data-bind="text: beneName"></span></td>
											<td><strong>Beneficiary Country</strong><br/><span data-bind="text: beneState"></span></td>
										</tr>
										<tr>
											<td colspan='2'><strong>Beneficiary Address</strong><br/><span data-bind="text: beneAddress"></span></td>
										</tr>
										<tr>
											<td><strong>Beneficiary Phone</strong><br/><span data-bind="text: benePhone"></span></td>
											<td nowrap><strong>Beneficiary Email</strong><br/><span data-bind="text: beneEmail"></span></td>
										</tr>
										<tr>
											<td><strong>Beneficiary Fax</strong><br/><span data-bind="text: beneFax"></span></td>
											<td nowrap><strong>Beneficiary Zip</strong><br/><span data-bind="text: beneZip"></span></td>
										</tr>
										<tr>
											<td colspan='2'><strong>Beneficiary Order By</strong><br/><span data-bind="text: beneOrderBy"></span></td>
										</tr>
									</table>
									</p>
								  </oj-collapsible>
								  <oj-collapsible id="hip4">
									<span slot="header">Transportation</span>
									<p><table class='report-table'>
										<tr>
											<td><strong>Transportation Mode</strong><br/><span data-bind="text: transportMode"></span></td>
											<td nowrap><strong>Customs Office</strong><br/><span data-bind="text: customsoffice"></span></td>
										</tr>
										<tr>
											<td><strong>Port of Discharge</strong><br/><span data-bind="text: portOfDischarge"></span></td>
											<td nowrap><strong>Port of Loading</strong><br/><span data-bind="text: portOfLoading"></span></td>
										</tr>
										<tr>
											<td><strong>Country of Origin</strong><br/><span data-bind="text: countryOfOrigin"></span></td>
											<td nowrap><strong>Country of Supply</strong><br/><span data-bind="text: countryOfSupply"></span></td>
										</tr>
										<tr>
											<td><strong>Terms of Delivery</strong><br/><span data-bind="text: termsOfDelivery"></span></td>
											<td nowrap><strong>Shipment Date</strong><br/><span data-bind="text: shipmentDate"></span></td>
										</tr>
										<tr>
											<td colspan='2'><strong>Inpsection Agent</strong><br/><span data-bind="text: inspectionAgent"></span></td>
										</tr>
									</table>
									</p>
								  </oj-collapsible>
								  <oj-collapsible id="hip5">
									<span slot="header">Financials</span>
									<p><table class='report-table'>
										<tr>
											<td><strong>Total FOB</strong><br/><span data-bind="text: totalFOB"></span></td>
											<td nowrap><strong>Total Freight</strong><br/><span data-bind="text: totalFreight"></span></td>
										</tr>
										<tr>
											<td><strong>Total Ancilary Charge</strong><br/><span data-bind="text: totalAncilary"></span></td>
											<td nowrap><strong>Insurance Value</strong><br/><span data-bind="text: insuranceValue"></span></td>
										</tr>
										<tr>
											<td><strong>Currency</strong><br/><span data-bind="text: currency"></span></td>
											<td nowrap><strong>Exchange Rate</strong><br/><span data-bind="text: exchangeRate"></span></td>
										</tr>
										<tr>
											<td colspan='2'><strong>Inpsection Agent</strong><br/><span data-bind="text: totalCF"></span></td>
										</tr>
										<tr>
											<td><strong>Source of Fund</strong><br/><span data-bind="text: sourceOfFund"></span></td>
											<td nowrap><strong>Transfer Mode</strong><br/><span data-bind="text: transferMode"></span></td>
										</tr>
										<tr>
											<td><strong>Invoice Number</strong><br/><span data-bind="text: invoiceNumber"></span></td>
											<td nowrap><strong>Invoice Date</strong><br/><span data-bind="text: invoiceDate"></span></td>
										</tr>
										<tr>
											<td><strong>Payment Mode</strong><br/><span data-bind="text: paymentMode"></span></td>
											<td nowrap><strong>Payment Date</strong><br/><span data-bind="text: paymentDate"></span></td>
										</tr>
									</table>
									</p>
								  </oj-collapsible>
								  
								  <oj-collapsible id="hip6">
									<span slot="header">Items</span>
									<p>
									<div> 
									<oj-table id="HSCodeList" aria-label="HSCode List"
										data='[[paginDataSource]]' 
										display='grid'
										selection-mode='{"row": "single"}'
										columns-default='{"sortable": "enabled"}' 
										columns='[
												  {"headerText": "HSCode",  "field": "hscode", "style": "width: 35%"},
												  {"headerText": "Description",  "field": "description", "style": "width: 55%"},
												  {"headerText": "Freight Charge", "field": "freightcharge", "style": "width: 20%"},
												  {"headerText": "State of Goods", "field": "stateofgood", "style": "width: 20%"},
												  {"headerText": "Sec Purposes", "field": "sectoralpurpose", "style": "width: 20%"},
												  {"headerText": "Origin", "field": "countryoforigin", "style": "width: 20%"},
												  {"headerText": "Pkg Qty", "field": "packageqty", "style": "width: 20%"},
												  {"headerText": "Pkg Unit", "field": "packageunit", "style": "width: 20%"},
												  {"headerText": "Qty", "field": "qty", "style": "width: 20%"},
												  {"headerText": "M. Qty", "field": "measurementqty", "style": "width: 20%"},
												  {"headerText": "M. Unit", "field": "measurementunit", "style": "width: 20%"},
												  {"headerText": "G WGT", "field": "grossweight", "style": "width: 20%"},
												  {"headerText": "Net WGT", "field": "netweight", "style": "width: 20%"},
												  {"headerText": "FOB", "field": "fob", "style": "width: 20%"},
												  {"headerText": "FOC", "field": "foc", "style": "width: 20%"}
												   
												  ]' 
										style='width: 100%;'>
										<oj-paging-control id="paging" data='[[paginDataSource]]' page-size='6' slot='bottom'>
										</oj-paging-control>
									</oj-table>
									</div>
									</p>
								  </oj-collapsible>
								  
								</oj-accordion>
							</div>
							
						</div> 
					</div>
					<div slot="footer">
					  <div class="row">
						<div class="6u 12u$(small)">
							<a href="#" class="button special fit small" data-bind="click: saveXMLDocument">Save to System</a>
						</div>
						<div class="6u$ 12u$(small)">
							<a href="#" class="button default fit small" data-bind="click: close">Cancel</a>
						</div>
					  </div>
					</div>
				</oj-dialog>
			</div>
		</div>
	</div>
</section>
